Bug 392621 - Information panel doesn't display preview for folder that's been added to Places panel
Summary: Information panel doesn't display preview for folder that's been added to Pla...
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: information (show other bugs)
Version: 17.12.3
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-01 23:25 UTC by Nate Graham
Modified: 2018-04-03 22:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 18.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-04-01 23:25:35 UTC
This reproduces with KDE Applications 17.12.3 as well as from git master.

Steps to Reproduce:
1. Create a new folder
2. Put at least one picture in that folder
3. Make sure previews are turned on for folders, or turn them on
4. make sure the Information Panel is open, or open it
5. Hover the cursor over the folder
Expected Result: see that the Information Panel's preview displays the folder with a preview of its contents

6. Add that folder to the places panel
7. Hover the cursor over the folder again
Unexpected result: see that the Information Panel's preview now displays it as a static folder with no preview
Comment 1 Nate Graham 2018-04-02 23:11:12 UTC
Submitted a patch: https://phabricator.kde.org/D11894
Comment 2 Nate Graham 2018-04-03 22:39:44 UTC
Git commit 993c47f30923e39b33dbd47a2a62e3dde5ccdbe4 by Nathaniel Graham.
Committed on 03/04/2018 at 22:39.
Pushed by ngraham into branch 'master'.

Show folder previews for items that have a Places Panel entry

Summary:
informationpanelcontent.cpp currently has an explicit check for whether or not a URL has a Places panel entry, and if it does, no folder preview is generated. It's not clear why this is done, but it was reported as a bug: https://bugs.kde.org/show_bug.cgi?id=392621. Removing the logic fixes the bug.
FIXED-IN: 18.08.0

Test Plan:
Before:
{F5782793}

After:
{F5782794}

Detailed test procedure:
- Open the Information Panel
- Turn on previews
- Put some pictures in ~/Pictures
- Hover over it and see that the Information Panel shows a preview of its contents
- Add ~/Pictures to the Places panel
- Hover over it again and see that previews are no longer displayed
- Apply the patch and restart Dolphin
- Hover over it once more and see that there are now previews, yay!

Reviewers: #dolphin, markg, elvisangelaccio

Reviewed By: markg, elvisangelaccio

Subscribers: markg, broulik

Differential Revision: https://phabricator.kde.org/D11894

M  +31   -50   src/panels/information/informationpanelcontent.cpp
M  +0    -8    src/panels/information/informationpanelcontent.h

https://commits.kde.org/dolphin/993c47f30923e39b33dbd47a2a62e3dde5ccdbe4